;2022/01/27
;վBIEem@~y{,Hεy{,iH[VLCD.VPPUɶ   CYRIL
;
;2020/08/06
;HY17P68WR3   CYRIL
;
;triple pump[c,Nƭק1, Nɶ5msec, VLCD stable time:20ms, VPP stable time:20ms
;INITIAL, ENABLE LVD=2.6V DETECTION , OTHERWISE, DISABLE; CUSTOMER VDD SPEC: >=2.75V
;Data MemoryOd0F0H~0FAH}BIEϥ!
;Function return 1, NVDDqAVDD<2.6V, jhXiN, 2.5V < LVD SPEC. < 2.7V, ]VDD>=.75VOiHTO|qLLVD!
;Function return 1, NVPP Flag=0, jhXBIE, iN
;Function return 0, NgJ(]tŪT{)
;CODE SIZE: 234
;vTHs:
; WREG, FSR0L, FSR0H, INDF0, INTE0[GIE], 0F0h~0F8h, INTE0[GIE], ADCCN0[ENAD1], PWRCN, PWRCN2, OSCCN0~OSCCN2, MFCCN0~MFCCN2, LCDCN1~LCDCN11
;Stack Level: 2
BIEARHBUF   EQU 0F0H        ;BIEAR HIGH BYTE BUFFER 
BIEARLBUF   EQU BIEARHBUF+1 ;BIEAR LOW BYTE BUFFER 
BIEDRHBUF	EQU	BIEARHBUF+2	;BIEDR HIGH BYTE BUFFER 
BIEDRLBUF	EQU	BIEARHBUF+3	;BIEDR LOW BYTE BUFFER
BIERLCBUF	EQU	BIEARHBUF+4	;DATA ROTATE LEFT BUFFER
BIERLCCNT	EQU	BIEARHBUF+5	;DATA ROTATE LEFT COUNTER
OSCCN0BUF	EQU	BIEARHBUF+6	;OSCCN0 BUFFER
OSCCN2BUF	EQU	BIEARHBUF+7	;OSCCN2 BUFFER
;LCDCN1BUF   EQU BIEARHBUF+8 ;LCDCN1 BUFFER
BIEtemp	equ	BIEARHBUF+8

GLOBAL	LV17P68WR3BIE
LV17P68WR3BIE:

;lbsr  1
BCF	INTE0,GIE,A
BCF	AD1CN0,ENAD1,A
MVF	BIEARH,W,A
MVF	BIEARHBUF,F,A    ;BACKUP BIEARH
MVF	BIEARL,W,A
MVF	BIEARLBUF,F,A    ;BACKUP BIEARL
MVF	BIEDRH,W,A
MVF	BIEDRHBUF,F,A    ;BACKUP BIEDRH
MVF	BIEDRL,W,A
MVF	BIEDRLBUF,F,A    ;BACKUP BIEDRL

SETF  BIEDRH,A    ;Avoid pumping cause BIE misoperation
SETF  BIEDRL,A

;BACKUP OSCCN
MVFF  OSCCN0,OSCCN0BUF	;BACKUP OSCCN0
MVFF  OSCCN2,OSCCN2BUF	;BACKUP OSCCN2
CLRF  OSCCN0,A	;Dn]wCPUCLK=HAO/1
MVL  00000011b  
MVF  OSCCN2,F,A  ;HAO=4.9152MHz

;VDDA Init
BSF  PWRCN2,LDOPL,A
MVL  10000110B
MVF  PWRCN,F,A
CALL	DELAY5MS
CALL	DELAY5MS

;MFC LVD Init
MVL  01000010b     
MVF  MFCCN0,F,A     ;CPRH=VDD+Normal mode
MVL  00101111b     
MVF  MFCCN1,F,A     ;VSS+22.5R Open+20R Short+V12-RLO
MVL  00011000b
MVF  MFCCN2,F,A      ;CPDA=24/32(CPRLH-CPRLL)
BSF  MFCCN0,0,A      ;MFC Enable

;LCD_CK to ext. crystal
BSF OSCCN2,5,A    ;ENXT=1
NOP
BSF OSCCN1,6,A    ;LCPS=1
BCF OSCCN1,0,A    ;LCDS=0
BCF OSCCN2,5,A    ;ENXT=1

;VLCD Enable              ;LCDƥABIE浲ۦ歫s]wLCDȦs
LDPR    LCDCN3,FSR0    ;SET COM0~COM3=IO Mode      
CLRF  POINC0,A
CLRF  POINC0,A             ;LCDCN4=0  ;SET SEG= IO Mode
CLRF  POINC0,A             ;LCDCN5=0  
CLRF  POINC0,A             ;LCDCN6=0  
CLRF  POINC0,A             ;LCDCN7=0  
CLRF  POINC0,A             ;LCDCN8=0  
CLRF  POINC0,A             ;LCDCN9=0  
CLRF  POINC0,A             ;LCDCN10=0  
CLRF  POINC0,A             ;LCDCN11=0  

;COM0~COM3 Pull down
LDPR	TRISC6,FSR0
MVL	00001111b
IORF  INDF0,F,A
LDPR	PT6,FSR0
MVL	11110000b
ANDF  INDF0,F,A

LDPR	LCDCN1,FSR0
MVL	10001011b	    ;ENLCP=1, VLCD=5.05V, ENLB=1, LCDBL=1;
MVF	INDF0,F,A
CALL	DELAY20mS_5MHz

SKIPLVD:
MVL	10010100B
IORF  BIECN,F,A		;ENABLE BIE and Pump FUNCTION, voltage detection enable   
CALL	DELAY20mS_5MHz  		;ENABLE BIE and Pump FUNCTION, voltage detection enable
BTSZ  MFCCN0,MFCO,A
JMP	FAILLOOP		;VDD<2.7V, jhXBIE, iN, WREG=1
CALL BIEVPPCHECK
TFSZ BIEtemp,A      ;BIEtemp=0 VPP<8.5VAiN
JMP WRL
JMP FAILLOOP

WRL:
SETF	BIERLCBUF,A
SETF	BIEDRH,A
MVL	8
MVF	BIERLCCNT,F,A
WRLB:               ;WRITE LOW BYTE
MVF	BIEARHBUF,W,A
MVF	BIEARH,F,A    ;RESTORE BIEARH
MVF	BIEARLBUF,W,A
MVF	BIEARL,F,A    ;RESTORE BIEARL
MVF	BIEDRLBUF,W,A
MVF	BIEDRL,F,A
BCF	MSTAT,C,A
RLFC	BIERLCBUF,F,A
MVF	BIERLCBUF,W,A
IORF	BIEDRL,F,A
BSF	BIECN,BIEWR,A	;(1)BIECN[VPPHV]=0BIEARL3FHBIEARH[7]=0B,  hOL
CALL	DELAY5MS
DCSUZ	BIERLCCNT,F,A
JMP WRH
CALL BIEVPPCHECK
TFSZ BIEtemp,A      ;BIEtemp=0 VPP<8.5VAiN
JMP WRLB
JMP FAILLOOP

WRH:
SETF	BIEDRL,A
SETF	BIERLCBUF,A
MVL	8
MVF	BIERLCCNT,F,A
WRHB:			;WRITE HIGH BYTE
MVF	BIEARHBUF,W,A
MVF	BIEARH,F,A    ;RESTORE BIEARH
MVF	BIEARLBUF,W,A
MVF	BIEARL,F,A    ;RESTORE BIEARL
MVF	BIEDRHBUF,W,A
MVF	BIEDRH,F,A
BCF	MSTAT,C,A
RLFC	BIERLCBUF,F,A
MVF	BIERLCBUF,W,A
IORF	BIEDRH,F,A
BSF	BIECN,BIEWR,A	;(1)BIECN[VPPHV]=0BIEARL3FHBIEARH[7]=0B,  hOL
CALL	DELAY5MS
DCSUZ	BIERLCCNT,F,A
JMP WREND
CALL BIEVPPCHECK
TFSZ BIEtemp,A      ;BIEtemp=0 VPP<8.5VAiN
JMP WRHB
JMP FAILLOOP

WREND:
MVF	BIEDRHBUF,W,A   ;RESTORE
MVF	BIEDRH,F,A
MVF	BIEDRLBUF,W,A	;RESTORE
MVF	BIEDRL,F,A
MVF	BIEARHBUF,W,A
MVF	BIEARH,F,A    ;RESTORE BIEARH
MVF	BIEARLBUF,W,A
MVF	BIEARL,F,A    ;RESTORE BIEARL
BSF	BIECN,BIEWR,A	;(1)BIECN[VPPHV]=0BIEARL3FHBIEARH[7]=0B,  hOL
CALL	DELAY5MS
BSF	BIEDRHBUF,0,A	;BIT0=1b, pass. BIT0=0b, fail.
jmp	LOOP1

;vTHs:
; WREG, FSR0L, FSR0H, INDF0, INTE0[GIE], 0F0h~0F7h ,INTE0[GIE] ,ADCCN0[ENAD1],OSCCN0, OSCCN1, OSCCN2, LCDCN1~LCDCN11
GLOBAL	EXT17P68WR3BIE
EXT17P68WR3BIE:
;lbsr  1
BCF	INTE0,GIE,A
BCF	AD1CN0,ENAD1,A

;BACKUP OSCCN
MVFF  OSCCN0,OSCCN0BUF	;BACKUP OSCCN0
MVFF  OSCCN2,OSCCN2BUF	;BACKUP OSCCN2
CLRF  OSCCN0,A	;Dn]wCPUCLK=HAO/1
MVL  00000011b  
MVF  OSCCN2,F,A  ;HAO=4.9152MHz

;VDDA Init
BSF  PWRCN2,LDOPL,A
MVL  10000110B
MVF  PWRCN,F,A
CALL	DELAY5MS
CALL	DELAY5MS

;LCD_CK to ext. crystal
BSF OSCCN2,5,A    ;ENXT=1
NOP
BSF OSCCN1,6,A    ;LCPS=1
BCF OSCCN1,0,A    ;LCDS=0
BCF OSCCN2,5,A    ;ENXT=1

;VLCD Enable              ;LCDƥABIE浲ۦ歫s]wLCDȦs
LDPR    LCDCN3,FSR0    ;SET COM0~COM3=IO Mode      
CLRF  POINC0,A
CLRF  POINC0,A             ;LCDCN4=0  ;SET SEG= IO Mode
CLRF  POINC0,A             ;LCDCN5=0  
CLRF  POINC0,A             ;LCDCN6=0  
CLRF  POINC0,A             ;LCDCN7=0  
CLRF  POINC0,A             ;LCDCN8=0  
CLRF  POINC0,A             ;LCDCN9=0  
CLRF  POINC0,A             ;LCDCN10=0  
CLRF  POINC0,A             ;LCDCN11=0  

;COM0~COM3 Pull down
LDPR	TRISC6,FSR0
MVL	00001111b
IORF  INDF0,F,A
LDPR	PT6,FSR0
MVL	11110000b
ANDF  INDF0,F,A

MVL	10010000B
IORF  BIECN,F,A		;ENABLE BIE, voltage detection enable   
CALL BIEVPPCHECK
TFSZ BIEtemp,A      ;BIEtemp=0 VPP<8.5VAiN
JMP STARTBIE_EXT
JMP FAILLOOP

STARTBIE_EXT:
BSF   BIECN,BIEWR       ;NJAm۰ʥ[1 
WaitWR_EXT:
NOP  
BTSZ  BIECN,BIEWR,ACCE
JMP   WaitWR_EXT

MVL 11000000B
ANDF BIECN,F,A		;DISABLE BIE
BSF	BIEDRHBUF,0,A	;BIT0=1b, pass. BIT0=0b, fail.
jmp	LOOP1


;BIE Finish LOOP
FAILLOOP:
BCF	BIEDRHBUF,0,A	;BIT0=1b, pass. BIT0=0b, fail.
MVL 0FFH
MVF BIEDRH,F,A 
MVF	BIEDRL,F,A

LOOP1:
LDPR	LCDCN1,FSR0
CLRF	INDF0,A        	;LCDCN1=0
CALL	DELAY20mS_5MHz
MVL 11000000B
ANDF BIECN,F,A		;DISABLE BIE
BCF OSCCN1,6,A    ;LCPS=0
BCF OSCCN1,0,A    ;LCDS=0
BSF OSCCN2,5,A    ;ENXT=1
BCF OSCCN2,5,A    ;ENXT=0
MVFF	OSCCN0BUF,OSCCN0  ;RESTORE OSCCN0
MVFF	OSCCN2BUF,OSCCN2  ;RESTORE OSCCN2
LDPR	TRISC6,FSR0
MVL	11110000b
ANDF  INDF0,F,A
;CLRF	LVDCN,A		;DISABLE LVD FINCTION


btss	BIEDRHBUF,0,a	;BIT0=1b, pass. BIT0=0b, fail.
RETL	1		;VDD<2.6V, jhXBIE, iN, WREG=1 
					;or VPP Flag=0, jhXBIE, iN, WREG=1
RETL	0		;BIEN, WREG=0  

BIEVPPCHECK:
MVL 0FFH
MVF BIEtemp,F,A
CHECKVPP_L:    
MVL	0FFH
CHECKFLAG_L:
DCSZ	WREG,F,A
JMP	CHECKFLAG1_L
JMP	CHECKFLAG2_L		;VPP Flag=0, jhXBIE, iN, WREG=1, ƧP_O]flagsb0/1ܤ.
CHECKFLAG1_L:
BTSS BIECN,VPPHV,A	;CHECK VPP Flag
JMP	CHECKFLAG_L
RET
CHECKFLAG2_L:
DCSZ BIEtemp,F,A
JMP CHECKVPP_L
RET

;MAX HAO=4.9152MHZ, instruction cycle=1.2288MHZ~ 0.8138usec
;5msec = 6144 * 0.8138usec=(11*185*3)
;total, 6144 cycle
;20msec = 24576 * 0.8138usec=(44*185*3)
;total, 24576 cycle
DELAY20mS_5MHz:
				mvl			49

				jmp			delayloop
Delay5ms:
       mvl			12
delayloop:        
        mvf     BIEtemp,F,ACCE	;BIEDRHBUF bcall Delay20mse|Ψ!
     Delay2ms_22:   
        mvl     185
     Delay2ms_12:   
        dcsz    WREG,F,ACCE
        jmp     Delay2ms_12
        dcsz    BIEtemp,F,ACCE
        jmp     Delay2ms_22
ret
INCLUDE	HY17P68.INC
      